export default [
    {
        path: '/',
        redirect: '/login',
    },
    {
        path: '/',
        component: () => import('@/layouts/home/index.vue'),
        meta: { title: '自述文件' },
        children: [
            {
                name: 'personalCenter',
                path: 'personalCenter',
                component: () => import('@/pages/personalCenter.vue'),
                meta: {
                    title: '个人中心'
                }
            },
            {
                name: 'dashboard',
                path: 'dashboard',
                component: () => import('@/pages/dashboard.vue'),
                meta: { title: '管理员' }
            },
            {
                path: 'station',
                component: () => import('@/pages/station.vue'),
                meta: { title: '实验台' }
            },
            {
                name: 'course',
                path: 'course',
                component: () => import('@/pages/course.vue'),
                meta: { title: '课程学习' }
            },
            {
                name: 'courseSection',
                path: 'courseSection',
                component: () => import('@/pages/courseSection.vue'),
                meta: { title: '课程学习' }
            },
            {
                name: 'information',
                path: 'information',
                component: () => import('@/pages/information.vue'),
                meta: { title: '资讯' }
            },
            {
                name: 'article',
                path: 'article',
                component: () => import('@/pages/article.vue'),
                meta: { title: '文章' }
            },
            {
                name: 'match',
                path: 'match',
                component: () => import('@/pages/match.vue'),
                meta: { title: '线上赛事' }
            },
            {
                name: 'matchDetail',
                path: 'matchDetail',
                component: () => import('@/pages/matchDetail.vue'),
                meta: { title: '大赛详情' }
            },

            {
                path: 'icon',
                component: () => import('@/pages/icon.vue'),
                meta: { title: '自定义图标' }
            },
            {
                // 国际化组件
                path: 'i18n',
                component: () => import('@/pages/i18n.vue'),
                meta: { title: '国际化' }
            },
            {
                path: '404',
                component: () => import('@/pages/404.vue'),
                meta: { title: '404' }
            },
            {
                path: '403',
                component: () => import('@/pages/403.vue'),
                meta: { title: '403' }
            }
            
        ]
    },
    {
        path: '/login',
        component: () => import('@/pages/login.vue'),
        meta: { title: '登录' }
    },
    {
        path: '*',
        redirect: '/404'
    }
]